Bug 854804 - incorrect permissions on /var/lib/smokeping/images if smokeping installed before httpd
incorrect permissions on /var/lib/smokeping/images if smokeping installed bef...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: smokeping (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Terje Røsten
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-05 22:50 EDT by Charles R. Anderson
Modified: 2012-09-17 19:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 13:37:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles R. Anderson 2012-09-05 22:50:49 EDT
Description of problem:

After setting up a brand new install of smokeping on F16, the web interface reports errors creating directories and files under /var/lib/smokeping/images, but only if smokeping is installed before httpd.

Version-Release number of selected component (if applicable):
smokeping-2.4.2-16.fc16.noarch

How reproducible:
always

Steps to Reproduce:
1. Start with a fresh F16 install without httpd, OR:
   yum remove httpd
   userdel apache
2. yum install smokeping
3. yum install httpd
4. systemctl start httpd.service
5. systemctl start smokeping.service
6. Visit http://localhost/smokeping/sm.cgi and click on Fedora
  
Actual results:

Installing : smokeping-2.4.2-16.fc16.noarch 52/52 
warning: user apache does not exist - using root

Then when visiting the website and clicking on Fedora:

Software error:

ERROR: creating  /var/lib/smokeping/images/Ping: No such file or directory
For help, please send mail to the webmaster (root@localhost), giving this error message and the time and date of the error.


# ls -l /var/lib/smokeping/
total 8
drwxr-xr-x. 2 root root 4096 Jan 22  2012 images
drwxr-xr-x. 3 root root 4096 Sep  5 22:39 rrd

[root@t /]# ls -l /var/lib/smokeping/images
total 0


Expected results:

Require httpd to be installed first, so the apache user exists before smokeping is installed.

Additional info:
Comment 1 Terje Røsten 2012-09-06 13:13:56 EDT
Thanks for your report.
Comment 2 Fedora Update System 2012-09-06 14:53:49 EDT
smokeping-2.6.8-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/smokeping-2.6.8-1.fc18
Comment 3 Fedora Update System 2012-09-06 14:57:45 EDT
smokeping-2.6.8-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/smokeping-2.6.8-1.fc17
Comment 4 Fedora Update System 2012-09-06 15:01:42 EDT
smokeping-2.4.2-17.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/smokeping-2.4.2-17.fc16
Comment 5 Fedora Update System 2012-09-07 07:24:35 EDT
Package smokeping-2.4.2-17.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing smokeping-2.4.2-17.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13411/smokeping-2.4.2-17.fc16
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-09-17 13:37:11 EDT
smokeping-2.4.2-17.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-09-17 13:43:36 EDT
smokeping-2.6.8-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-09-17 19:03:22 EDT
smokeping-2.6.8-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.